I’m getting a Javascript error message on any form with validation controls. the message is “This page uses an incorrect version of WebUIValidation.js. The Page expects version 125. The script library is 121.” I’m trying to run an ASP.NET app created in Beta 2 on a machine with the production .NET framework installed. I’ve run aspnet_regiis -c to copy in the new client scripts. But somehow it is remembering the old script. The client scripts are located in /aspnet_client/system_web/1_0_3705_0. Any idea why it throwing up the javascript error message.